aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-06 22:50:15 -0500
committerJulien Roy <julien@jroy.ca>2023-02-06 22:50:15 -0500
commit24d1aca489ed99a44fe4b7744c10ec69be172748 (patch)
tree14c3733f161d875a998da67d5f19107412c7c2a3
parentf023de54221202fe40cf033db626825d2ca1947b (diff)
downloadMrRoy-Overlay-24d1aca489ed99a44fe4b7744c10ec69be172748.tar.gz
MrRoy-Overlay-24d1aca489ed99a44fe4b7744c10ec69be172748.tar.bz2
MrRoy-Overlay-24d1aca489ed99a44fe4b7744c10ec69be172748.zip
dev-python/zope-minmax: new package, add 2.3
Signed-off-by: Julien Roy <julien@jroy.ca>
-rw-r--r--dev-python/zope-minmax/Manifest1
-rw-r--r--dev-python/zope-minmax/metadata.xml19
-rw-r--r--dev-python/zope-minmax/zope-minmax-2.3.ebuild47
3 files changed, 67 insertions, 0 deletions
diff --git a/dev-python/zope-minmax/Manifest b/dev-python/zope-minmax/Manifest
new file mode 100644
index 0000000..e5f90a4
--- /dev/null
+++ b/dev-python/zope-minmax/Manifest
@@ -0,0 +1 @@
+DIST zope-minmax-2.3.gh.tar.gz 17575 BLAKE2B 38e81ed6142372d21fb86305ad7b23439e6b9c9a0dd01bea1c50b75eb946c5e48d7fc11e2897ca4ad657a96dafa6f4481ec87400bbfef494820e219232ec2381 SHA512 cee238ea0b0d866c6bcd320e097bd01de234cf84e24b30ae03d75343e3cda36c5210a1c9c85d6433b27b48ee32b67a68316cf77a0628f0735cf8e658cefe6805
diff --git a/dev-python/zope-minmax/metadata.xml b/dev-python/zope-minmax/metadata.xml
new file mode 100644
index 0000000..4fbaa9a
--- /dev/null
+++ b/dev-python/zope-minmax/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.minmax/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.minmax/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopeminmax.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.minmax</remote-id>
+ <remote-id type="pypi">zope.minmax</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-minmax/zope-minmax-2.3.ebuild b/dev-python/zope-minmax/zope-minmax-2.3.ebuild
new file mode 100644
index 0000000..6cb9244
--- /dev/null
+++ b/dev-python/zope-minmax/zope-minmax-2.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Homogeneous values favoring maximum or minimum for ZODB conflict resolution"
+HOMEPAGE="https://github.com/zopefoundation/zope.minmax"
+SRC_URI="https://github.com/zopefoundation/zope.minmax/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/persistent[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+ test? ( dev-python/zope-testrunner[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}